# Uses of Interface
com.ocient.jdbc.XGConnectionFactory

Packages that use XGConnectionFactory
Package
Description
com.ocient.jdbc

## Uses of XGConnectionFactory in com.ocient.jdbc

Methods in com.ocient.jdbc with parameters of type XGConnectionFactory
Modifier and Type
Method
Description
`static CompletionStage<CompletableFutures.SQLResult<XGResultSet>>`
XGResultSet.`initResultSet(XGConnection conn, int fetchSize, XGStatement stmt, int parallelism, XGConnectionFactory channelFactory, RowTransformerFactory rowTransformerFactory, SortMode sortMode, Map<String,Integer> streamProperties)`
Initializes a new `XGResultSet` object and returns a CompletionStage that completes when the result set's metadata has been retrieved from the server and completes with an exceptional `CompletableFutures.SQLResult` on failure.
`static CompletionStage<CompletableFutures.SQLResult<XGResultSet>>`
XGResultSet.`initResultSet(XGConnection conn, int fetchSize, XGStatement stmt, int parallelism, XGConnectionFactory channelFactory, RowTransformerFactory rowTransformerFactory, SortMode sortMode, Map<String,Integer> streamProperties, XGStatement.EventMonitor eventMonitor)`
Constructors in com.ocient.jdbc with parameters of type XGConnectionFactory
Modifier
Constructor
Description
``
`XGStatement(XGConnection conn, XGConnectionFactory connFactory)`